## Makefile for uconvmsg created by pkgdata
## from ICU Version 3.8.1

NAME=uconvmsg
LIBNAME=uconvmsg
CNAME=uconvmsg
TARGETDIR=uconvmsg
TEMP_DIR=uconvmsg
srcdir=$(TEMP_DIR)
SRCDIR=uconvmsg
MODE=static
MAKEFILE=uconvmsg/uconvmsg_static.mak
ENTRYPOINT=uconvmsg
include pkgdata.inc



TEMP_PATH=$(TEMP_DIR)/
TARG_PATH=$(TARGETDIR)/
## List files [1] containing data files to process (note: - means stdin)
LISTFILES= uconvmsg/uconvmsg.lst


## Data Files [2]
DATAFILES= root.res fr.res


## Data File Paths [2]
DATAFILEPATHS= uconvmsg/root.res uconvmsg/fr.res


# Version numbers:
VERSIONED=
DLL_LDFLAGS=$(BIR_LDFLAGS)

# File to make:
TARGET=libuconvmsg.a

LIB_TARGET=$(TARGET)
all: $(TARG_PATH)$(LIB_TARGET)

$(TEMP_PATH)root_res.$(STATIC_O) : $(SRCDIR)/root.res
	$(INVOKE) $(GENCCODE) -n $(CNAME) -d $(TEMP_DIR) $<
	@$(COMPILE.c) $(DYNAMICCPPFLAGS) $(DYNAMICCXXFLAGS) -o $@ $(TEMP_DIR)/root_res.c
	@$(RMV) $(TEMP_DIR)/root_res.c

$(TEMP_PATH)fr_res.$(STATIC_O) : $(SRCDIR)/fr.res
	$(INVOKE) $(GENCCODE) -n $(CNAME) -d $(TEMP_DIR) $<
	@$(COMPILE.c) $(DYNAMICCPPFLAGS) $(DYNAMICCXXFLAGS) -o $@ $(TEMP_DIR)/fr_res.c
	@$(RMV) $(TEMP_DIR)/fr_res.c

# List file for gencmn:
CMNLIST=uconvmsg/$(NAME)_static.lst

$(CMNLIST): $(LISTFILES)
	cat $(LISTFILES) > $(CMNLIST)


ifneq ($(GENCCODE_ASSEMBLY),)

BASE_OBJECTS=$(NAME)_dat.o

$(TEMP_DIR)/$(NAME).dat: $(CMNLIST) $(DATAFILEPATHS)
	$(INVOKE) $(ICUPKG) -t$(ICUDATA_CHAR) -c -s $(SRCDIR) -a $(CMNLIST) new $(TEMP_DIR)/$(CNAME).dat

$(TEMP_DIR)/$(NAME)_dat.o : $(TEMP_DIR)/$(NAME).dat
	$(INVOKE) $(GENCCODE) $(GENCCODE_ASSEMBLY) -n $(NAME) -e $(ENTRYPOINT) -d $(TEMP_DIR) $<
	$(COMPILE.c) $(DYNAMICCPPFLAGS) $(DYNAMICCXXFLAGS) -o $@ $(TEMP_DIR)/$(NAME)_dat.s
	$(RMV) $(TEMP_DIR)/$(NAME)_dat.s

else

$(TEMP_PATH)$(NAME)_dat.$(STATIC_O) : $(TEMP_PATH)$(NAME)_dat.c
	$(COMPILE.c) -o $@ $<

# 'TOCOBJ' contains C Table of Contents objects [if any]
$(TEMP_PATH)$(NAME)_dat.c: $(CMNLIST)
	$(INVOKE) $(GENCMN) -e $(ENTRYPOINT) -n $(NAME) -S -s $(SRCDIR) -d $(TEMP_DIR) 0 $(CMNLIST)

TOCOBJ= $(NAME)_dat.$(STATIC_O)

TOCSYM= $(ENTRYPOINT)_dat 

BASE_OBJECTS= $(TOCOBJ) root_res.$(STATIC_O) fr_res.$(STATIC_O)
endif


OBJECTS=$(BASE_OBJECTS:%=$(TEMP_PATH)%)

$(TEMP_PATH)%.$(STATIC_O): $(TEMP_PATH)%.c
	  $(COMPILE.c) -o $@ $<

$(TARG_PATH)$(LIB_TARGET): $(OBJECTS) $(LISTFILES)
	$(AR) $(ARFLAGS) $(AR_OUTOPT)$@ $(OBJECTS)
	$(RANLIB) $@

CLEANFILES= $(CMNLIST) $(OBJECTS) $(TARG_PATH)$(LIB_TARGET) $(TARG_PATH)$(MIDDLE_STATIC_LIB_TARGET) $(TARG_PATH)$(TARGET)

clean:
	-$(RMV) $(CLEANFILES) $(MAKEFILE)

# static mode shouldn't need to be installed, but we will install the header and static library for them.
install: $(TARG_PATH)$(LIB_TARGET)
	$(INSTALL-L) $(TARG_PATH)$(LIB_TARGET) $(INSTALLTO)/$(LIB_TARGET)
	$(RANLIB) $(INSTALLTO)/$(LIB_TARGET)

rebuild: clean all
